classification
Title: Document Argument Clinic's defining_class converter
Type: enhancement Stage: resolved
Components: Argument Clinic Versions: Python 3.10, Python 3.9
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: erlendaasland, larry, vstinner
Priority: normal Keywords: patch

Created on 2020-10-15 20:12 by erlendaasland, last changed 2021-01-20 11:21 by erlendaasland. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 23978 merged erlendaasland, 2020-12-28 20:16
Messages (2)
msg378696 - (view) Author: Erlend E. Aasland (erlendaasland) * (Python triager) Date: 2020-10-15 20:12
The 'defining_class' AC converter is not documented.

https://www.python.org/dev/peps/pep-0573/#argument-clinic
https://docs.python.org/3.10/howto/clinic.html
msg385334 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2021-01-20 11:20
New changeset e982fe496bf756afd2ead8e56eb24b28a93c627a by Erlend Egeberg Aasland in branch 'master':
bpo-42048: Clinic Howto: Document AC's defining_class converter (GH-23978)
https://github.com/python/cpython/commit/e982fe496bf756afd2ead8e56eb24b28a93c627a
History
Date User Action Args
2021-01-20 11:21:40erlendaaslandsetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2021-01-20 11:20:15vstinnersetmessages: + msg385334
2020-12-28 20:16:01erlendaaslandsetkeywords: + patch
stage: patch review
pull_requests: + pull_request22823
2020-10-15 20:12:24erlendaaslandcreate